<?php
include 'core/system.php';

// Если зарегистрирован, то продолжаем
reg();
// Название страницы
head('Клан');
// Стоимость клана
$new_clan = 500;



// Приглашение в клан
if(isset($_GET['invite']) AND !empty($_GET['ank']) AND $user['clan']>0){
	$ank_id = int($_GET['ank']);
$ank = $dbc->query("SELECT * FROM `users` WHERE `id`='".$ank_id."' LIMIT 1")->fetch_assoc();

		if(!$ank){
echo '
<div class="main">
<div class="block_zero center">
Такого пользователя не существует</div></div>';
		foot();
		exit;
		}
// Игрок уже в клане		
		if($ank['clan']>0){
echo '
<div class="main">
<div class="block_zero center">
Этот игрок уже состоит в клане!</div></div>';
		foot();
		exit;
		}
// Если состав клана максимальный		
$clan = $dbc->query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."' LIMIT 1")->fetch_assoc();

$sina = $clan['otdux_time'] -time();
		if($user['clan_rang'] < 4 or $user['clan']==0){

		header('Location: clan.php');
		exit;
		}
		if($user['storona']!= $ank['storona']){ header('location:clan.php'); exit; }

		if($clan['limit']>=40){ $_SESSION['message']='Клан Достиг максимального лимита'; header('location:clan.php'); exit; }
// Частота приглашений в клан - 10 мин. (можно менять)	
$last_inv_t = $dbc->query("SELECT `time` FROM `clan_invite` WHERE `to_clan`='".$user['clan']."' LIMIT 1")->fetch_assoc();

		if($last_inv_t['time']+600 > time()){
		$time_inv = $last_inv_t['time']+600 -time();
echo '
<div class="main">
<div class="block_zero center">
Следующее приглашение возможно через<br/> '.Sec2Time($time_inv).'</div></div>';
		foot();
		exit;		
		}
// 	Приглашение в клан 	
$test_invite = $dbc->query("SELECT `id` FROM `clan_invite` WHERE `to_clan`='".$user['clan']."' AND `invited`='".$ank['id']."'"); $test_invite = $test_invite->num_rows;

echo '
<div class="main">
<div class="block_zero center">
<a href="pers.php?ank='.$ank['id'].'">'.$ank['login'].'</a>
<br/>отправлена заявка на вступление в клан!</div></div>';
		if($test_invite ==0){
$dbc->query("INSERT INTO `clan_invite` SET `to_clan`='".$user['clan']."', `invited`='".$ank['id']."', 	`time`='".time()."'");

	}
	else{
$dbc->query("UPDATE `clan_invite` SET `time`='".time()."' WHERE `to_clan`='".$user['clan']."' AND `invited`='".$ank['id']."'");

	}
$dbc->query("INSERT INTO `journal` SET `user_id`='".$ank['id']."', `text`='<a href=\"pers.php?ank=".$user['id']."\">".$user['login']."</a> пригласилл Вас в клан <a href=\"clan.php?clan=".$clan['id']."\">".$clan['name']."</a><br><a id=\"link_button\" href=\"clan.php?get_invite&amp;clan=".$user['clan']."\">Вступить</a>',

	`time`='".time()."'");
$dbc->query("UPDATE `users` SET `journal`=`journal`+1 WHERE `id`='".$ank['id']."'");

	foot();
	exit;
	}
		// Клан
	if(!empty($_GET['clan'])){
	$clan_id  =  int($_GET['clan']);
$clan = $dbc->query("SELECT * FROM `clan` WHERE `id`='".$clan_id."'")->fetch_assoc();

		if(!$clan){
echo '<div class="main"><div class="block_zero center">Такого клана нет.</div></div>';
		foot();
		exit;
		}
	/* Вступление в клан */
	if(isset($_GET['get_invite'])){
	$invite = $dbc->query("SELECT * FROM `clan_invite` WHERE `to_clan`='".$clan_id."' AND `invited`='".$user['id']."'")->fetch_assoc();

$prov = $dbc->query("SELECT * FROM `clan` WHERE `id`='".$invite['to_clan']."' LIMIT 1")->fetch_assoc();
		if($prov['limit']>=40){ $_SESSION['message']='Клан достиг максимального лимита'; header('location:clan.php'); exit; }
		if($invite){
		$dbc->query("DELETE FROM `clan_invite` WHERE `to_clan`='".$clan_id."' AND `invited`='".$user['id']."'");

$dbc->query("UPDATE `clan` SET `limit`=`limit`+1 WHERE `id`='".$invite['to_clan']."'");
$dbc->query("UPDATE `users` SET `max_health`=`max_health`+'".$prov['hp_bon']."', `strength`=`strength`+'".$prov['sila_bon']."', `defense`=`defense`+'".$prov['def_bon']."' ,`clan`='".$prov['id']."',`clan_rang`=1 WHERE `id`='".$user['id']."' ");



		$dbc->query("INSERT INTO `clan_journal` SET

		`clan`='".$clan_id."',
		`user`='".$user['id']."',
		`text`='<img src=img/class/".$user['storona']."/".$user['pers']."/pers.png><a href=\"pers.php?ank=".$user['id']."\">".$user['login']."</a> вступает в клан!',
		`time`='".time()."'");
		header("Location: clan.php?clan=".$clan_id);		
		}else{
		header("Location: index.php");
exit;
		}

}
	// Не могут писать на стену	
$vie = nifa($clan['clan_oput']);
?><div class="page-title"><img src="img/clan_s/<?=$clan['storona']?>.png" alt="с" width="12px" height="12px"><span class="va-m"><?=$clan['name']?></ span><div class="font-small c-body mt5"><span class="va-m">Опыт Клана</span>&nbsp;<img src="img/stat/exp.png"><span class="va-m"><?=$vie?></span></br><img src="/img/stat/hp.png"><?=$clan['hp_bon']?> <img src="/img/stat/AKulak.png"><?=$clan['sila_bon']?> <img src="/images/icons/armor.png"><?=$clan['def_bon']?></br>Мощь Клана: <?=$clan['sila_arm']?></div><span class="guild-lvl-badge"><?=$clan['level']?> ур.</span></div><?






$member_q = $dbc->query("SELECT `id`,`login`,`level`,`clan_oput`,`pers`,`storona`,`clan_rang` FROM `users` WHERE `clan`='".$clan_id."' ORDER BY  `clan_rang`  desc  , `clan_oput` DESC LIMIT 55");


echo'<div class="name">Участники клана: <a href="clan.php?clan='.$clan['id'].'">'.$clan['name'].'</a></div><div class="row"><div class="lblue-panel">';
	$i=0;
		$i+=$page;
		while($member = $member_q->fetch_assoc()){

		++$i;
$view = nifa($member['clan_oput']);

if($member['clan_rang']==1){ $clan_rang='<span class="minor">Новобранец</span>'; }
if($member['clan_rang']==2){ $clan_rang='<span class="info">Воин</span>'; }

if($member['clan_rang']==3){ $clan_rang='<span class="iSuperior">Ветеран</span>'; }

if($member['clan_rang']==4){ $clan_rang='<span class="iEpic">Генерал</span>'; }

if($member['clan_rang']==5){ $clan_rang='<span class="bluepost">Лидер</span>'; }
$member['clan_oput']=nifa($member['clan_oput']);
?><div class="b-list"><div class="list-el first"><?
echo $i.'.<img src="img/class/'.$member['storona'].'/'.$member['pers'].'/pers.png" width="12" height="12"><a href="pers.php?ank='.$member['id'].'">'.$member['login'].'</a>   <img src="images/icons/exp.png">'.$view.' '.$clan_rang.''; echo '</div></div><div class="list-el"></div>';





}
?></div><?
if($total > $set['str']){
pages($page, $total, 'clan.php?clan='.$clan_id.'&amp;member&amp;', $set['str']);}
foot(); exit;
}
// Если не хватает денег
	if(isset($_GET['new'])){
if($user['gold']<$new_clan){
err('Недостаточно Золота');
		}
// Уровень создания клана - 10 (можно менять)		
		if($user['level']<10){
echo '
<div class="main">
<div class="block_zero center">
Клан можно создавать только с 10-го уровня!
</div>
</div>';
		foot();
		exit;
		}
		// Отказ в создании клана, если состоит в другом
		if($user['clan']>0){
echo '
<div class="main">
<div class="block_zero center">
Вы не можете создать клан т.к. состоите в другом клане. Покиньте сначала тот клан в котором состоите, а после создавайте клан.
</div>
</div>
';
		foot();
		exit;
		}
// Создание клана		
	echo '
Создание клана
<div class="separ"></div>	
	';
if(empty($_POST['name'] )){


	echo '
	Название (макс. 30 символов)<br>

<form action="clan.php?new" method="post">
<input id="login" type="text" class="input-area" name="name">


<br><br>
<div class="form-submit">
<div class="form-submit"><input type="submit" class="btn" value="Создать Клан"/>



</div>


</form>
</div>

		</div>
		</div>';
}else{
		// Вы в составе клана			
		if($user['clan']>0){
		echo '<div class="line"></div>
<div class="main">
<div class="block_zero center">
Вы сосотоите в клане!
</div></div>';
		foot();
		exit;		
		}
// Если клон		
	$name=protect($_POST['name']);
	$opis=protect($_POST['opis']);
$test_komand = $dbc->query("SELECT * FROM `clan` WHERE `komandir`='".$user['id']."' LIMIT 1")->fetch_assoc();

$test_clan = $dbc->query("SELECT * FROM `clan` WHERE `name`='".$name."' LIMIT 1")->fetch_assoc();

		if($test_clan){
		echo '
<div class="main">
<div class="block_zero center">
Такой клан уже существует!
</div></div>';
		foot();
		exit;		
		}
		
		if($test_komand){
echo '
<div class="main">
<div class="block_zero center">
Вы уже командующий одного из кланов.
</div></div>';
		foot();
		exit;		
		}
// Сообщение об удачном создании		

$dbc->query("UPDATE `users` SET `gold`=`gold`-".$new_clan." WHERE `id`='".$user['id']."'");
$sam = ("INSERT INTO `clan` SET


	`komandir`='".$user['id']."',
	`name`='".$name."',
`limit` =1,


	`storona`='".$user['storona']."',
	`time`='".time()."'");

echo '
<div class="main">
<div class="block_zero center">
Клан создан! Пора бы набрать сокланов.
<div class="separ"></div>
<span class="btn">
<span class="end">
<a href="my_clan.php">
<input class="label" type="submit" value="Мой клан">
</a>
</span>
</span>
</div></div>
';
$dbc->query($sam);

$ER = $dbc->insert_id;
$dbc->query("UPDATE `users` SET `clan`='".$ER."',`clan_rang`=5 WHERE `id`='".$user['id']."'");


header('location:my_clan.php');exit;
	}
	foot();
	exit;
	}
	// Начало создания клана
If($user['clan']==0){
echo '<center>
Стоимость создания клана 
<img src="img/money/money.png">
'.$new_clan.'
<a href="clan.php?new">
<input class="btn big" type="submit" value="Создать"></a></div>
</br> Либо вступите в уже имеющийся клан!
</center>
';
}
// Список кланов	
$clans_q = $dbc->query("SELECT * FROM `clan` ORDER BY `clan_oput` DESC LIMIT ".$page.",".$set['str']." ");
$i = 0;

$total = $dbc->query("SELECT `id` FROM `clan`"); $total = $total->num_rows;

		while($clans = $clans_q->fetch_assoc()){

$exp = nifa($clans['clan_oput']);


echo '


<a class="link-panel no-arr" href="/clan.php?clan='.$clans['id'].'">'.++$i.'.


<img src="/img/clan_s/'.$clans['storona'].'.png" class="link-icon"/>'.$clans['name'].', <span class="c-moregray">'.$clans['level'].' ур.</span>,





<img src="/images/icons/exp.png" class="link-icon"><span class="c-moregray">'.$exp.'</span>



</a>








';

		}
		// Вход в свой клан
		// Постраничная навигация
	if($total > $set['str'])	{
echo'	<div class="mini-line"></div><div class="main"><div class="block_zero">';
		pages($page, $total, 'clan.php?', $set['str']);
		echo'</div>';
	}
foot();
?>
